/**
 * @file /include/ecl/streams.hpp
 *
 * @brief C++ style streams for ecl devices.
 *
 * C++ style streams for ecl devices.
 *
 * @date September, 2009
 **/
/*****************************************************************************
** Ifdefs
*****************************************************************************/

#ifndef ECL_IO_DEVICES_STREAMS_HPP_
#define ECL_IO_DEVICES_STREAMS_HPP_

/*****************************************************************************
** Includes
*****************************************************************************/

#include "streams/text_stream.hpp"
#include "streams/console_streams.hpp"
#include "streams/file_streams.hpp"
#include "streams/log_stream.hpp"
#include "streams/serial_stream.hpp"
#include "streams/shared_file_stream.hpp"
#include "streams/socket_streams.hpp"
#include "streams/string_stream.hpp"
#include "streams/manipulators.hpp"


#endif /* ECL_IO_DEVICES_STREAMS_HPP_ */
